net.sf.saxon.expr

## Class ForExpression.EventMappingAction

- java.lang.Object
- - net.sf.saxon.expr.ForExpression.EventMappingAction

- All Implemented Interfaces:
    EventMappingFunction
  Enclosing class:
    ForExpression

      protected static class ForExpression.EventMappingAction
      extends Object
      implements EventMappingFunction

  The EventMappingAction represents the action to be taken for each item in the source sequence. It acts as the EventMappingFunction for the mapping iterator, and also provides the Binding of the position variable (at $n) in XQuery, if used.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForExpression.EventMappingAction(XPathContext context, int slotNumber, PositionVariable positionBinding, Expression action)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventIterator` | `map(Item item)` Map one item to a sequence of pull events.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForExpression.EventMappingAction

          public ForExpression.EventMappingAction(XPathContext context,
                                          int slotNumber,
                                          PositionVariable positionBinding,
                                          Expression action)

  - ### Method Detail

    - #### map

          public EventIterator map(Item item)
                            throws XPathException

      Description copied from interface: `EventMappingFunction`
      Map one item to a sequence of pull events.
      Specified by:
        `map` in interface `EventMappingFunction`
      Parameters:
        `item` - The item to be mapped.
      Returns:
        one of the following: (a) an EventIterator over the sequence of items that the supplied input item maps to, or (b) null if it maps to an empty sequence.
      Throws:
        `XPathException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.